> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Resolve ENS domain

> Resolves a ETH address given an ENS Domain.



## OpenAPI

````yaml get /v1/ens/records
openapi: 3.0.2
info:
  title: 📨 Domain API
  version: v1.0.0
servers:
  - url: https://api.chainbase.online
    description: production server
security: []
paths:
  /v1/ens/records:
    get:
      tags:
        - ENS Domain Endpoints
      summary: Resolve ENS domain
      description: Resolves a ETH address given an ENS Domain.
      operationId: GetENSRecords
      parameters:
        - description: >-
            chain network id, see [list of
            details](/platform/features/api/web3-api)
          required: true
          schema:
            title: Chain Id
            type: integer
            description: >-
              chain network id, see [list of
              details](/platform/features/api/web3-api)
          example: '1'
          name: chain_id
          in: query
        - description: ENS Domain
          required: true
          schema:
            title: Domain
            type: string
            description: ENS Domain
          example: vitalik.eth
          name: domain
          in: query
        - description: block decimal number, hex number or 'latest'
          required: false
          schema:
            title: To Block
            type: string
            description: block decimal number, hex number or 'latest'
          example: latest
          name: to_block
          in: query
        - required: true
          schema:
            title: X-Api-Key
            type: string
            example: demo
          example: demo
          name: x-api-key
          in: header
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseENSRecords'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
components:
  schemas:
    ResponseENSRecords:
      title: ResponseENSRecords
      type: object
      properties:
        code:
          title: Code
          type: integer
          default: 0
        message:
          title: Message
          type: string
          default: ok
        data:
          $ref: '#/components/schemas/ENS'
    ErrorMessage:
      title: ErrorMessage
      required:
        - code
        - message
      type: object
      properties:
        code:
          title: Code
          type: integer
        message:
          title: Message
          type: string
    ENS:
      title: ENS
      required:
        - registrant_time
        - expiration_time
        - token_id
        - text_records
      type: object
      properties:
        name:
          title: Name
          type: string
        address:
          title: Address
          type: string
        registrant:
          title: Registrant
          type: string
        owner:
          title: Owner
          type: string
        resolver:
          title: Resolver
          type: string
        registrant_time:
          title: Registrant Time
          type: string
          format: date-time
        expiration_time:
          title: Expiration Time
          type: string
          format: date-time
        token_id:
          title: Token Id
          type: string
        text_records:
          title: Text Records
          type: object

````